#!/usr/bin/env python
from setuptools import setup, find_packages

_version = '0.2.0.1'

long_description = """File cache with file-based synchronization"""

# FIXME: this is needed for now because we are a private repo, dummyrepo is
# public and so can serve the tarball
download_url = ('http://github.com/downloads/rconradharris/dummyrepo/'
                'Filecache-%s.tar.gz' % _version)

setup(name='Filecache',
      version=_version,
      download_url=download_url,
      description='UN*X File Cache',
      long_description=long_description,
      author='Rick Harris',
      author_email='rconradharris@gmail.com',
      url="http://github.com/rconradharris/filecache",
      license="MIT",
      platform='posix',
      classifiers=[
          'Development Status :: 4 - Beta',
          'Environment :: Console',
          'Intended Audience :: Developers',
          'Intended Audience :: System Administrators',
          'License :: OSI Approved :: Python Software Foundation License',
          'Operating System :: POSIX',
          'Programming Language :: Python',
          'Topic :: System :: Filesystems'
          ],
      packages=find_packages()
     )

